Skip to main content
Get Job Maturity Overview
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/job_maturity_overview \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/job_maturity_overview"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/job_maturity_overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "report_name": "job_maturity_overview",
  "report_data": {
    "entity_count": 100,
    "data_maturity_overview": [
      {
        "external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
        "low_data_availability": false,
        "reasons": [
          [
            "MAX_SOURCE_GENERALITY",
            "MIN_EVENT_TYPE_DIVERSITY"
          ]
        ],
        "job_data_count": {
          "Job Title": 1,
          "Job Description": 2,
          "Vacancy": 0
        },
        "data_distribution": {
          "market_only": 5,
          "market_aligned": 10,
          "internal_only": 8
        }
      }
    ]
  },
  "last_update": "2020-09-01T11:45:49Z"
}
[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
]
[
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
]
[
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]
"max connections reached: <limit>"
[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

limit
integer
default:200

The maximal number of returned entities.

Required range: 1 <= x <= 500
Example:

250

offset
integer
default:0

The applied offset for returned entities, results starting from offset up to offset + limit.

Required range: x >= 0
include
enum<string>[]

Additional metrics to include in the response. By default, only the external_id, low_data_availability, and reasons fields are returned. Available metrics:

  • job_data_count - Returns a count of Job Profile Data entries by type.
  • data_distribution - Returns the distribution of Skills by data source (market_only, market_aligned, internal_only).
Available options:
job_data_count,
data_distribution
is_active
boolean
default:None

This parameter can be used to only include entities with the active attribute set to true or false. If the parameter is not set, all entities will be included.

Example:

true

Response

OK

The Data Maturity Overview across all Jobs.

report_name
string

Name of the report.

Example:

"job_maturity_overview"

report_data
object
last_update
string<date-time>
Example:

"2020-09-01T11:45:49Z"